//---------------------------------------------------------------------------

#ifndef PtnEdgeFormH
#define PtnEdgeFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FVXCOMDISPLAYEXLib_OCX.h"
#include <OleCtrls.hpp>

#include "FVXCOMPATTERNLib_OCX.h"
#include "FVXCOMFPMLib_OCX.h"
#include "FVDATASLib_OCX.h"

//---------------------------------------------------------------------------
class TfrmPtnEdge : public TForm
{
__published:	// IDE Ǘ̃R|[lg
    TFvxDisplayEx *FvxDisplayEx1;
    TCheckBox *chkEdgeDisp;
    TLabel *lbSelectFilter;
    TGroupBox *GroupBox1;
    TLabel *lbMag;
    TScrollBar *scrlMag;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall chkEdgeDispClick(TObject *Sender);
    void __fastcall scrlMagChange(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
private:	// [U[錾
    TFvxPattern* m_ptn;
    TFvxFPM* m_fpm;
    TFvPointGroup* m_Edges;
    int m_SelectFilter;
public:		// [U[錾
    __fastcall TfrmPtnEdge(TComponent* Owner);
    void SetPattern(TFvxPattern* ptn);
    void SetFPM(TFvxFPM* fpm);
    void SetSelectFilter(int selected){ m_SelectFilter = selected; }
    __fastcall virtual ~TfrmPtnEdge();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmPtnEdge *frmPtnEdge;
//---------------------------------------------------------------------------
#endif
