//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FVXCOMDISPLAYEXLib_OCX.h"
#include <OleCtrls.hpp>
#include "FVXCOMIMAGELib_OCX.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include "LicenceForm.h"
#include "ConfFileForm.h"
#include "FVXCOMFILEACCESSLib_OCX.h"
#include "FVXCOMFPMLib_OCX.h"
#include "FVXCOMPATTERNLib_OCX.h"
#include "FVXCOMPERFORMANCECOUNTERLib_OCX.h"
#include "FVXCOMVIDEOLib_OCX.h"
#include <Dialogs.hpp>
#include <Buttons.hpp>
#include "FVXCOMROILib_OCX.h"

//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE Ǘ̃R|[lg
    TFvxDisplayEx *FvxDisplayEx1;
    TFvxImage *FvxImage1;
    TButton *btnGrab;
    TButton *btnLoadFile;
    TTabControl *tabSelecter;
    TPanel *Panel1;
    TLabel *Label1;
    TComboBox *cmbSelectFilter;
    TPanel *Panel2;
    TPanel *Panel3;
    TGroupBox *GroupBox1;
    TLabel *Label2;
    TEdit *editCorrEdgeFltW;
    TLabel *Label3;
    TEdit *editCorrEdgeVar;
    TLabel *Label4;
    TEdit *editCorrEdgeTh;
    TGroupBox *GroupBox2;
    TLabel *Label5;
    TEdit *editSobelTh;
    TGroupBox *GroupBox3;
    TLabel *Label6;
    TEdit *editCompRate;
    TLabel *Label7;
    TEdit *editHiCompScoreTh;
    TGroupBox *GroupBox4;
    TCheckBox *chkRefinePose;
    TLabel *lbRefineScoreTh;
    TEdit *editRefineScoreTh;
    TCheckBox *chkAreaScore;
    TLabel *lbAreaScoreTh;
    TEdit *editAreaScoreTh;
    TLabel *Label10;
    TEdit *editAngleMin;
    TLabel *Label11;
    TEdit *editAngleMax;
    TLabel *Label12;
    TEdit *editScaleMin;
    TEdit *editScaleMax;
    TLabel *Label13;
    TButton *btnInspArea;
    TLabel *Label14;
    TEdit *editSearchNum;
    TGroupBox *GroupBox5;
    TGroupBox *GroupBox6;
    TLabel *Label15;
    TEdit *editCorrEdgeSigmoidK;
    TLabel *Label16;
    TEdit *editCorrEdgeFltH;
    TLabel *Label17;
    TEdit *editCorrEdgeThinFltSz;
    TGroupBox *GroupBox7;
    TLabel *Label18;
    TEdit *editSobelThinFltSz;
    TGroupBox *GroupBox8;
    TLabel *Label19;
    TEdit *editErrWide;
    TLabel *lbLowCompScoreTh;
    TEdit *editLowCompScoreTh;
    TCheckBox *chkSameHighCompScoreTh;
    TGroupBox *GroupBox9;
    TLabel *Label21;
    TEdit *editRefineErrWide;
    TGroupBox *gpbAreaScoreParam;
    TGroupBox *gpbAreaScoreErrWide;
    TLabel *lbAreaScoreTx;
    TEdit *editAreaScoreTx;
    TEdit *editAreaScoreTy;
    TLabel *lbAreaScoreTy;
    TLabel *lbAreaScoreTq;
    TEdit *editAreaScoreTq;
    TLabel *lbAreaScoreTs;
    TEdit *editAreaScoreTs;
    TLabel *lbAreaScoreErrWide;
    TEdit *editAreaScoreErrWide;
    TLabel *lbAreaScoreNoizeWeight;
    TEdit *editAreaScoreNoizeWeight;
    TButton *btnDispClear;
    TButton *btnImageEdgeDisp;
    TScrollBar *scrlMag;
    TLabel *lbScale;
    TGroupBox *GroupBox12;
    TButton *btnPtnRegist;
    TButton *btnPtnDisp;
    TButton *btnPtnMask;
    TButton *btnPtnEdgeDisp;
    TButton *btnPtnLoad;
    TButton *btnPtnSave;
    TButton *btnSearchExecute;
    TMemo *memoResult;
    TFvxVideo *FvxVideo1;
    TFvxPerformanceCounter *FvxPerformanceCounter1;
    TFvxFileAccess *FvxFileAccess1;
    TFvxPattern *FvxPattern1;
    TOpenDialog *OpenDialog1;
    TFvxROI *FvxROI1;
    TSaveDialog *SaveDialog1;
    TGroupBox *grbSupport;
    TButton *btnAScope;
    TButton *btnSaveFile;
    TButton *btnClsResult;
    TFvxFPM *FvxFPM1;
    void __fastcall FvxDisplayEx1MouseUp(TObject *Sender, long Button,
          long Shift, long X, long Y, long InOut);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall btnGrabClick(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall btnLoadFileClick(TObject *Sender);
    void __fastcall tabSelecterChange(TObject *Sender);
    void __fastcall chkRefinePoseClick(TObject *Sender);
    void __fastcall chkAreaScoreClick(TObject *Sender);
    void __fastcall chkSameHighCompScoreThClick(TObject *Sender);
    void __fastcall btnInspAreaClick(TObject *Sender);
    void __fastcall btnImageEdgeDispClick(TObject *Sender);
    void __fastcall btnDispClearClick(TObject *Sender);
    void __fastcall scrlMagChange(TObject *Sender);
    void __fastcall btnPtnDispClick(TObject *Sender);
    void __fastcall btnPtnRegistClick(TObject *Sender);
    void __fastcall btnPtnMaskClick(TObject *Sender);
    void __fastcall btnPtnLoadClick(TObject *Sender);
    void __fastcall btnPtnSaveClick(TObject *Sender);
    void __fastcall btnSearchExecuteClick(TObject *Sender);
    void __fastcall btnPtnEdgeDispClick(TObject *Sender);
    void __fastcall btnClsResultClick(TObject *Sender);
    void __fastcall btnAScopeClick(TObject *Sender);
    void __fastcall btnSaveFileClick(TObject *Sender);

private:	// [U[錾
    bool m_blnVideoOpened;
    bool fnSetParam(long nDispMode);
    void fnGetParam();

public:		// [U[錾
    __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
