//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "PtnEdgeForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "FVXCOMDISPLAYEXLib_OCX"
#pragma resource "*.dfm"
TfrmPtnEdge *frmPtnEdge;
//---------------------------------------------------------------------------
__fastcall TfrmPtnEdge::TfrmPtnEdge(TComponent* Owner)
	: TForm(Owner)
{
	m_Edges = new TFvPointGroup(NULL);
}
//---------------------------------------------------------------------------
void __fastcall TfrmPtnEdge::FormShow(TObject *Sender)
{
    chkEdgeDisp->Checked = true;

	FvxDisplayEx1->CreateDisplay(16,0);
	FvxDisplayEx1->DrawImage(m_ptn->ControlInterface);

	m_fpm->GetEdgeData(m_ptn->ControlInterface,m_Edges->GetDefaultInterface());

	FvxDisplayEx1->PenColor = (TColor)0xFF00FF;
	FvxDisplayEx1->DrawData(0,m_Edges->GetDefaultInterface());

	if( 0 == m_SelectFilter )
		lbSelectFilter->Caption = "փGbWtB^";
	else
		lbSelectFilter->Caption = "\[xtB^";
}
//---------------------------------------------------------------------------


void TfrmPtnEdge::SetPattern(TFvxPattern* ptn)
{
	m_ptn = ptn;
}
void TfrmPtnEdge::SetFPM(TFvxFPM* fpm)
{
	m_fpm = fpm;
}

__fastcall TfrmPtnEdge::~TfrmPtnEdge()
{
	//TODO: ̉ɃR[hǉĂ
	delete m_Edges;
}
void __fastcall TfrmPtnEdge::chkEdgeDispClick(TObject *Sender)
{
	if( chkEdgeDisp->Checked )
		FvxDisplayEx1->SetOverlayEnable(0,VARIANT_TRUE);
	else
		FvxDisplayEx1->SetOverlayEnable(0,VARIANT_FALSE);
}
//---------------------------------------------------------------------------

void __fastcall TfrmPtnEdge::scrlMagChange(TObject *Sender)
{
	AnsiString str;
	int mag = scrlMag->Position;
	FvxDisplayEx1->Magnification = (mag - ((mag - 1) * 0.5));
	str.printf("x%.2lf", FvxDisplayEx1->Magnification);
	lbMag->Caption = str;
}
//---------------------------------------------------------------------------

void __fastcall TfrmPtnEdge::FormResize(TObject *Sender)
{
	FvxDisplayEx1->Width = this->Width - 8;
	FvxDisplayEx1->Height = this->Height - 90;
}
//---------------------------------------------------------------------------

