// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2002-2006               *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

// -------------------------------------------------------------------
// FVX Sample Program
// C_CAO
//
// 쐬 : Y.Hori
//
//  : 2006/06/15 
//
//
// -------------------------------------------------------------------
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "PtnEdgeForm.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "FVXCOMDISPLAYEXLib_OCX"
#pragma link "FVXCOMIMAGELib_OCX"
#pragma link "FVXCOMFILEACCESSLib_OCX"
#pragma link "FVXCOMFPMLib_OCX"
#pragma link "FVXCOMPATTERNLib_OCX"
#pragma link "FVXCOMPERFORMANCECOUNTERLib_OCX"
#pragma link "FVXCOMVIDEOLib_OCX"
#pragma link "FVXCOMROILib_OCX"
#pragma resource "*.dfm"

//---FvDatasgp̂ɕKv-----------------------------------------------
#include "FVDATASLib_OCX.h" //vWFNgݒFVXpbP[Wjbgւ̃t@CpXw肵ĂȂꍇ́A
#pragma link "FVDATASLib_OCX" //ݒύX邩AtpXE΃pXw肷悤ɂĂB
#pragma link "FVDATASLib_TLB"
//---------------------------------------------------------------------------

TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------



void __fastcall TfrmMain::FvxDisplayEx1MouseUp(TObject *Sender,
	  long Button, long Shift, long X, long Y, long InOut)
{
//	if( 2 == Button )
//		FvxDisplayEx1->AScopeMode = (1 == FvxDisplayEx1->AScopeMode ) ? 0 : 1;
}
//---------------------------------------------------------------------------


void __fastcall TfrmMain::FormShow(TObject *Sender)
{
	// i[pϐ
	AnsiString str;

	// ϐ
  	m_blnVideoOpened = false;
	btnGrab->Enabled = false;

	FvxDisplayEx1->CreateDisplay(16,0);
	FvxDisplayEx1->DrawImage(FvxImage1->ControlInterface);

	fnGetParam();

	frmLicence->ShowModal();
	if ( frmLicence->blnIsAccepted )
	{
		//rfIݒt@C̑I
		frmConfFile->ShowModal();
		if ( frmConfFile->bOK ) str =frmConfFile->strVideoConfFilePath;
		if  ( str.Length() > 0 )
		{
			//rfIݒt@CR|[lgɐݒ
			FvxVideo1->VideoConfFile = str;
			//foCXI[v
			try {
				FvxVideo1->OpenDevice();

			} catch(long &err){
				str.printf("rfIfoCX̃I[vɎs܂BErrCode= %ld \r\n摜t@Ĉ݂̗pɂȂ܂B",err);
				ShowMessage(str);
				return;
			}
			//VideoConfFile̕ύXAOpenDevicesƁAgK[[h̕ύX܂
			//̂߁AЃLv`{[hFVC02ł350ms̃ZbgAbv^CKvɂȂ܂
			//{vOł͊ȗ̂߂ɁAꗥ350ms̃ZbgAbv^CmۂĂ܂A
			//g̃Lv`{[hɍ킹ĕύXĂB
			Sleep(350);

			//GrabSync/GrabASync\bhłImegeTCY̕ύXs܂̂ŁA
			//炩ChangeImageSize\bhɂImagẽTCYύXĂ
			//i荞݃TCYImagẽTCYႤꍇG[ɂȂ܂j
			FvxVideo1->ChangeImageSize(FvxImage1->ControlInterface);

            TFvRectangle* pRect = new TFvRectangle(NULL);
            pRect->set_xs(0);
            pRect->set_ys(0);
            pRect->set_xe(FvxImage1->ImageWidth-1);
            pRect->set_ye(FvxImage1->ImageHeight-1);
            FvxFPM1->SetInspectArea(pRect->GetDefaultInterface());
            delete pRect;

			try {
				// 捞
				FvxVideo1->GrabSync(FvxImage1->ControlInterface);
			} catch (long &err) {
				str.printf("rfI̎捞Ɏs܂ErrCode= %ld \r\n摜t@Ĉ݂̗pɂȂ܂B",err);
				ShowMessage(str);
				return;
			}
			//rfIfoCX̏Ԃۑ
			m_blnVideoOpened = true;
			btnGrab->Enabled = true;

			//摜\
			FvxDisplayEx1->DrawImage(FvxImage1->ControlInterface);
		}
	}
	else
	{
		// I
		Application->Terminate();
		return;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnGrabClick(TObject *Sender)
{
	//摜t@Cǂݍ݂ɂāA摜TCY
	//ύXĂ\邽߁AChangeImageSizes܂B
	//摜TCYύX\ꍇ́AɈxsΖL܂B
	FvxVideo1->ChangeImageSize(FvxImage1->ControlInterface);
	try
	{
		//捞
		FvxVideo1->GrabSync(FvxImage1->ControlInterface);
	} catch (long &err) {
		// i[pϐ
		AnsiString str;
		str.printf("rfI̎捞Ɏs܂ErrCode= %ld ",err);
		ShowMessage(str);
	}

	//摜\
	FvxDisplayEx1->DrawImage(FvxImage1->ControlInterface);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::FormResize(TObject *Sender)
{
	FvxDisplayEx1->Width = this->Width - 240;
	FvxDisplayEx1->Height = this->Height - 180;
	memoResult->Top = this->Height - 165;
    memoResult->Height = 125;
	memoResult->Width = this->Width - 375;

    grbSupport->Left = this->Width - 130;
    grbSupport->Top = this->Height - 165;

}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnLoadFileClick(TObject *Sender)
{
	OpenDialog1->InitialDir = ExtractFilePath(Application->ExeName);
	OpenDialog1->Filter = "bitmap file(*.bmp)|*.bmp";
	if (OpenDialog1->Execute())
	{
		FvxFileAccess1->FilePath = OpenDialog1->FileName;

		try
		{
			FvxFileAccess1->LoadBitmap( FvxImage1->ControlInterface );
		} catch (long &err) {
			AnsiString errMsg;
			errMsg.sprintf("Ǎ݂Ɏs܂BErrCode= %ld",err);
			ShowMessage(errMsg);
			return;
		}

		// 摜`FbN
		if (( FvxImage1->BitPerPixel!=8 ) || ( FvxImage1->ImageType!=imageGray ))
		{
			ShowMessage("8bitO[摜ł͂܂");
			FvxImage1->BitPerPixel = 8;
			FvxImage1->ImageType = imageGray;
			FvxImage1->ImageWidth = 512;
			FvxImage1->ImageHeight = 480;
		}

        TFvRectangle* pRect = new TFvRectangle(NULL);
        pRect->set_xs(0);
        pRect->set_ys(0);
        pRect->set_xe(FvxImage1->ImageWidth-1);
        pRect->set_ye(FvxImage1->ImageHeight-1);
        FvxFPM1->SetInspectArea(pRect->GetDefaultInterface());
        delete pRect;

		FvxDisplayEx1->DrawImage(FvxImage1->ControlInterface);
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::tabSelecterChange(TObject *Sender)
{
	if( 0 == tabSelecter->TabIndex ) {
		Panel1->Visible = true;
		Panel2->Visible = false;
		Panel3->Visible = false;
	}
	else if( 1 == tabSelecter->TabIndex ) {
		Panel1->Visible = false;
		Panel2->Visible = true;
		Panel3->Visible = false;
	}
	else if( 2 == tabSelecter->TabIndex ) {
		Panel1->Visible = false;
		Panel2->Visible = false;
		Panel3->Visible = true;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::chkRefinePoseClick(TObject *Sender)
{
	if( cbChecked == chkRefinePose->State ) {
		lbRefineScoreTh->Enabled = true;
		editRefineScoreTh->Enabled = true;
	} else {
		lbRefineScoreTh->Enabled = false;
		editRefineScoreTh->Enabled = false;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::chkAreaScoreClick(TObject *Sender)
{
	if( cbChecked == chkAreaScore->State ) {
		lbAreaScoreTh->Enabled = true;
		editAreaScoreTh->Enabled = true;

		gpbAreaScoreParam->Enabled = true;
		gpbAreaScoreErrWide->Enabled = true;
		lbAreaScoreTx->Enabled = true;
		editAreaScoreTx->Enabled = true;
		lbAreaScoreTy->Enabled = true;
		editAreaScoreTy->Enabled = true;
		lbAreaScoreTq->Enabled = true;
		editAreaScoreTq->Enabled = true;
		lbAreaScoreTs->Enabled = true;
		editAreaScoreTs->Enabled = true;
		lbAreaScoreErrWide->Enabled = true;
		editAreaScoreErrWide->Enabled = true;
		lbAreaScoreNoizeWeight->Enabled = true;
		editAreaScoreNoizeWeight->Enabled = true;
	} else {
		lbAreaScoreTh->Enabled = false;
		editAreaScoreTh->Enabled = false;

		gpbAreaScoreParam->Enabled = false;
		gpbAreaScoreErrWide->Enabled = false;
		lbAreaScoreTx->Enabled = false;
		editAreaScoreTx->Enabled = false;
		lbAreaScoreTy->Enabled = false;
		editAreaScoreTy->Enabled = false;
		lbAreaScoreTq->Enabled = false;
		editAreaScoreTq->Enabled = false;
		lbAreaScoreTs->Enabled = false;
		editAreaScoreTs->Enabled = false;
		lbAreaScoreErrWide->Enabled = false;
		editAreaScoreErrWide->Enabled = false;
		lbAreaScoreNoizeWeight->Enabled = false;
		editAreaScoreNoizeWeight->Enabled = false;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::chkSameHighCompScoreThClick(TObject *Sender)
{
	if( cbChecked == chkSameHighCompScoreTh->State ) {
		lbLowCompScoreTh->Enabled = false;
		editLowCompScoreTh->Enabled = false;
	} else {
		lbLowCompScoreTh->Enabled = true;
		editLowCompScoreTh->Enabled = true;
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnInspAreaClick(TObject *Sender)
{
	long status;
	TFvRectangle* pRect = new TFvRectangle(NULL);
	FvxFPM1->GetInspectArea(pRect->GetDefaultInterface());
	if( -1 == pRect->get_xs() &&- 1 == pRect->get_ys() &&
			-1 == pRect->get_xe() && -1 == pRect->get_ye() )
	{
		pRect->set_xs(0);
		pRect->set_ys(0);
		pRect->set_xe(FvxImage1->ImageWidth-1);
		pRect->set_ye(FvxImage1->ImageHeight-1);
	}

	FvxROI1->SetRectangle(pRect->GetDefaultInterface());
	FvxROI1->UsePoint = false;
	FvxROI1->MakeROIDialog( FvxImage1->ControlInterface, &status);
	if( status ) {
		FvxROI1->GetRectangle(pRect->GetDefaultInterface());
		FvxFPM1->SetInspectArea(pRect->GetDefaultInterface());
	}

	delete pRect;
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnImageEdgeDispClick(TObject *Sender)
{
	TFvPointGroup* pPointG = new TFvPointGroup(NULL);
    TFvRectangle* pRect = new TFvRectangle(NULL);

	fnSetParam(1);

    FvxDisplayEx1->ClearOverlay(0);

    // ͈͂Fŕ\
    FvxFPM1->GetInspectArea(pRect->GetDefaultInterface());
    FvxDisplayEx1->PenColor = (TColor)0xFF0000;
    FvxDisplayEx1->DrawData(0,pRect->GetDefaultInterface());


	FvxFPM1->GetEdgeData(FvxImage1->ControlInterface,
				pPointG->GetDefaultInterface());

	if( 0 == cmbSelectFilter->ItemIndex )
		FvxDisplayEx1->PenColor = (TColor)0x00FF00;
	else
		FvxDisplayEx1->PenColor = (TColor)0xFF10FF;
	FvxDisplayEx1->DrawData(0,pPointG->GetDefaultInterface());

    delete pPointG;
    delete pRect;
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnDispClearClick(TObject *Sender)
{
	FvxDisplayEx1->ClearOverlay(-1);
}
//---------------------------------------------------------------------------

bool TfrmMain::fnSetParam(long nDispMode)
{
	bool bStatus = true;
	AnsiString str;

	// tB^I
	FvxFPM1->SelectFilter = cmbSelectFilter->ItemIndex;

	// փGbWtB^
	if( 0 == cmbSelectFilter->ItemIndex )
	{
		// Ǐ̈WH -------------------------------
		int W = editCorrEdgeFltW->Text.ToInt();
		int H = editCorrEdgeFltH->Text.ToInt();

		if( (0<W) && (0<H) && (0!=W%2) && (0!=H%2) && (W*H<=255) ) {
			FvxFPM1->CorrEdge_RegionWidth = W;
			FvxFPM1->CorrEdge_RegionHeight = H;
		}
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("Ǐ̈W H <= W C(H~W) <= 255̊œ͂Ă");
		}

		// Ul -------------------------------
		double dVarTh = editCorrEdgeVar->Text.ToDouble();
		if( 0<=dVarTh ) FvxFPM1->CorrEdge_VarThresh = dVarTh;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("U0ȏ̒lœ͂Ă");
		}

		// GbWl
		long nEdgeTh = editCorrEdgeTh->Text.ToInt();
		if( 0<=nEdgeTh && nEdgeTh<=255 )
			FvxFPM1->CorrEdge_EdgeThresh = nEdgeTh;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("GbWl 0`255 ̊Ԃœ͂Ă");
		}

		// Ȑ`p[^K
		double dSigK = editCorrEdgeSigmoidK->Text.ToDouble();
		if( 0.0 < dSigK )
			FvxFPM1->CorrEdge_SigmoidK = dSigK;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("Ȑ`p[^j0傫l͂Ă");
		}

		// ɑ}tB^Е
		long nCEFltSz = editCorrEdgeThinFltSz->Text.ToInt();
		if( 0 < nCEFltSz )
			FvxFPM1->CorrEdge_NmsLength = nCEFltSz;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("ɑ}tB^Е1ȏ̒l͂Ă");
		}
	}
	// \[xtB^
	else {
		// GbWl
		long nSEdgeTh = editSobelTh->Text.ToInt();
		if( 0<=nSEdgeTh && nSEdgeTh<=1023 )
			FvxFPM1->Sobel_EdgeThresh = nSEdgeTh;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("GbWl0`1023̒l͂Ă");
		}

		// ɑ}tB^Е
		long nSFltSz = editSobelThinFltSz->Text.ToInt();
		if( 0<nSFltSz && nSFltSz<=255 )
			FvxFPM1->Sobel_NmsLength = nSFltSz;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("tB^Е W1`255̊Ԃœ͂Ă");
		}
	}

	// k
	long nCompRate = editCompRate->Text.ToInt();
	if( 0<=nCompRate && nCompRate<=5 )
		FvxFPM1->CompRate = nCompRate;
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("k 0`5 ̊ԂŐݒ肵Ă");
	}

	// XRA臒l(k)
	long nHiCompScoreTh = editHiCompScoreTh->Text.ToInt();
	if( 0<=nHiCompScoreTh && nHiCompScoreTh <= 100 )
		FvxFPM1->HighCompScoreThresh = nHiCompScoreTh;
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("XRA臒l 0`100 ̊Ԃœ͂Ă");
	}

	// XRA臒l(ሳk)
	long nLowCompScoreTh = editLowCompScoreTh->Text.ToInt();
	if( chkSameHighCompScoreTh->Checked )
		nLowCompScoreTh = nHiCompScoreTh;
	if( 0<=nLowCompScoreTh && nLowCompScoreTh <= 100 )
		FvxFPM1->LowCompScoreThresh = nLowCompScoreTh;
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("XRA臒l 0`100 ̊Ԃœ͂Ă");
	}

	// ev[gGbW_̌덷͈
	long nErrWide = editErrWide->Text.ToInt();
	if( 0<=nErrWide )
		FvxFPM1->ErrWide = nErrWide;
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("GbW_덷͈(eT[`)0ȏ͂Ă");
	}

	// ]px
	long nAngleMin = editAngleMin->Text.ToInt();
	long nAngleMax = editAngleMax->Text.ToInt();
	if( -180<=nAngleMin && nAngleMin<=179 && -180<=nAngleMax && nAngleMax<=179
			&& nAngleMin<=nAngleMax ) {
		FvxFPM1->AngleMin = nAngleMin;
		FvxFPM1->AngleMax = nAngleMax;
	}
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("]p -180`179 ̊Ԃœ͂Ă");
	}

	// XP[
	long nScaleMin = editScaleMin->Text.ToInt();
	long nScaleMax = editScaleMax->Text.ToInt();
	if( 50<=nScaleMin && nScaleMin<=200 && 50<=nScaleMax && nScaleMax<=200
			&& nScaleMin<=nScaleMax ) {
		FvxFPM1->ScaleMin = nScaleMin;
		FvxFPM1->ScaleMax = nScaleMax;
	}
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("XP[ 50`200 ̊Ԃœ͂Ă");
	}

	// T[`
	long nSearchNum = editSearchNum->Text.ToInt();
	if( 0<nSearchNum ) {
		FvxFPM1->SearchNum = nSearchNum;
	}
	else {
		bStatus = false;
		if(nDispMode)
			ShowMessage("T[`1ȏ̒l͂Ă");
	}

	// x|[Y
	if( chkRefinePose->Checked ) {
        FvxFPM1->ExecuteFlag = 1;

		// GbW_덷͈
		long nRefineErrWide = editRefineErrWide->Text.ToInt();
		if( 0<=nRefineErrWide )
			FvxFPM1->RefineErrWide = nRefineErrWide;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("GbW_덷͈͂ 0ȏ̒l͂Ă");
		}

		// XRA臒l
		long nRefineScoreTh = editRefineScoreTh->Text.ToInt();
		if( 0<=nRefineScoreTh && nRefineScoreTh<=100 )
			FvxFPM1->RefineErrWide = nRefineScoreTh;
		else {
			bStatus = false;
			if(nDispMode)
				ShowMessage("XRA臒l 0`100 ̊Ԃœ͂Ă");
		}
	} else {
        FvxFPM1->ExecuteFlag = 0;
    }

	// XRAČvZ
	if( chkAreaScore->Checked ) {
		// 덷͈X
		double dErrTx = editAreaScoreTx->Text.ToDouble();
		if( 0.0<=dErrTx )
			FvxFPM1->AreaScoreErrWideTx = dErrTx;
		else {
			bStatus = false;
			ShowMessage("덷͈X0ȏ̊Ԃœ͂Ă");
		}

		// 덷͈Y
		double dErrTy = editAreaScoreTy->Text.ToDouble();
		if( 0.0<=dErrTy )
			FvxFPM1->AreaScoreErrWideTy = dErrTy;
		else {
			bStatus = false;
			ShowMessage("덷͈Y0ȏ̊Ԃœ͂Ă");
		}

		// 덷͈ px
		double dErrTq = editAreaScoreTq->Text.ToDouble();
		if( 0.0<=dErrTq )
			FvxFPM1->AreaScoreErrWideTq = dErrTq;
		else {
			bStatus = false;
			ShowMessage("덷͈ ]p0xȏœ͂Ă");
		}

		// 덷͈ XP[
		double dErrTs = editAreaScoreTs->Text.ToDouble();
		if( 0.0<=dErrTs )
			FvxFPM1->AreaScoreErrWideTs = dErrTs;
		else {
			bStatus = false;
			ShowMessage("덷͈ XP[0ȏ̊Ԃœ͂Ă");
		}

		// GbW_덷͈(XRAČvZ)
		long nAreaScoreErrWide = editAreaScoreErrWide->Text.ToInt();
		if( 0<=nAreaScoreErrWide )
			FvxFPM1->AreaScoreErrWide = nAreaScoreErrWide;
		else {
			bStatus = false;
			ShowMessage("GbW_덷͈͂0fȏ͂Ă");
		}

		// wimCYd݌W
		double dNoizeWeight = editAreaScoreNoizeWeight->Text.ToDouble();
		if( 0.0<=dNoizeWeight )
			FvxFPM1->AreaScoreNoiseWeight = dNoizeWeight;
		else {
			bStatus = false;
			ShowMessage("wimCYd݌W0ȏ͂Ă");
		}

		// XRAl(XRAČvZ)
		long nAreaScoreTh = editAreaScoreTh->Text.ToInt();
		if( 0<=nAreaScoreTh && nAreaScoreTh<=100 )
			FvxFPM1->AreaScoreThresh = nAreaScoreTh;
		else {
			bStatus = false;
			ShowMessage("XRA臒l 0`100 ̊Ԃœ͂Ă");
		}
	}
	return bStatus;
}

void __fastcall TfrmMain::scrlMagChange(TObject *Sender)
{
	AnsiString str;
	int mag = scrlMag->Position;
	FvxDisplayEx1->Magnification = (mag - ((mag - 1) * 0.5));
	str.printf("x%.2lf", FvxDisplayEx1->Magnification);
	lbScale->Caption = str;
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnPtnRegistClick(TObject *Sender)
{
	long status;
	TFvRectangle* pRect = new TFvRectangle(NULL);
	TFvPoint* pPos = new TFvPoint(NULL);

	pRect->set_xs(100);
	pRect->set_ys(100);
	pRect->set_xe(200);
	pRect->set_ye(200);

	FvxROI1->SetRectangle(pRect->GetDefaultInterface());
	FvxROI1->UsePoint = true;
	FvxROI1->InitPoint();
	FvxROI1->MakeROIDialog( FvxImage1->ControlInterface, &status);
	if( status ) {
		FvxROI1->GetRectangle(pRect->GetDefaultInterface());
		if( FvxROI1->CheckPoint )
			FvxROI1->GetPoint(pPos->GetDefaultInterface());
		else {
			ShowMessage("p^[_w肳܂łB\np^S_Ƃ܂B");
			pPos->set_x((pRect->get_xs()+pRect->get_xe())/2.0);
			pPos->set_y((pRect->get_ys()+pRect->get_ye())/2.0);
		}
		FvxPattern1->MakePattern(FvxImage1->ControlInterface,
			pRect->GetDefaultInterface(),pPos->GetDefaultInterface());
	}

	delete pPos;
	delete pRect;
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnPtnDispClick(TObject *Sender)
{
	FvxPattern1->Disp(-1,-1);
}
//---------------------------------------------------------------------------


void __fastcall TfrmMain::btnPtnMaskClick(TObject *Sender)
{
	FvxPattern1->DefMask(-1,-1);	
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnPtnLoadClick(TObject *Sender)
{
	OpenDialog1->InitialDir = ExtractFilePath(Application->ExeName);
	OpenDialog1->Filter = "pattern file(*.pat)|*.pat|All Files(*.*)|*.*";
	if (OpenDialog1->Execute())
	{
		FvxPattern1->LoadPattrenFileName = OpenDialog1->FileName;

		try
		{
			FvxPattern1->Load();
		} catch (long &err) {
			AnsiString errMsg;
			errMsg.sprintf("Ǎ݂Ɏs܂BErrCode= %ld",err);
			ShowMessage(errMsg);
			return;
		}
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnPtnSaveClick(TObject *Sender)
{
	SaveDialog1->InitialDir = ExtractFilePath(Application->ExeName);
	SaveDialog1->Filter = "pattern file(*.pat)|*.pat|All Files(*.*)|*.*";
	if(SaveDialog1->Execute())
	{
		FvxPattern1->SavePattrenFileName = SaveDialog1->FileName;
		try
		{
			FvxPattern1->Save();
		} catch (long &err) {
			AnsiString errMsg;
			errMsg.sprintf("݂Ɏs܂BErrCode= %ld",err);
			ShowMessage(errMsg);
			return;
		}
	}
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnSearchExecuteClick(TObject *Sender)
{
	AnsiString str;
	long nCount1, nCount2, nCount3;
	double dTime1, dTime2, dTime3;
	long i;
    wchar_t* dst = new wchar_t[24];
	// T[`ʍ\
	TFvSearchResultGroup* pSRG1 = new TFvSearchResultGroup(NULL);
	TFvSearchResultGroup* pSRG2 = new TFvSearchResultGroup(NULL);
	TFvSearchResultGroup* pSRG3 = new TFvSearchResultGroup(NULL);
    TFvRectangle* pRect = new TFvRectangle(NULL);
    TFvPoint* pPos = new TFvPoint(NULL);

    memset( dst, 0, 24*sizeof(wchar_t));

	// I[o[C̃NA
	FvxDisplayEx1->ClearOverlay(1);

	// ʏo͂̃NA
	memoResult->Clear();

	// p[^ݒ
	fnSetParam(1);

    // ͈
    FvxDisplayEx1->PenColor = (TColor)0xFF0000;
    FvxFPM1->GetInspectArea(pRect->GetDefaultInterface());
    FvxDisplayEx1->DrawData(0,pRect->GetDefaultInterface());


	try{
		// p^̃Zbg
		FvxFPM1->SetPattern(FvxPattern1->ControlInterface);

		// T[`̎s
		FvxPerformanceCounter1->StartCount();   // Ԍv
		FvxFPM1->Execute(FvxImage1->ControlInterface,&nCount1);
		FvxPerformanceCounter1->StopCount(&dTime1);
		// ̎_ł̌ʂ擾
		FvxFPM1->GetResult(0,pSRG1->GetDefaultInterface());

		// XRAČvZ
		if( chkAreaScore->Checked ) {
			FvxPerformanceCounter1->StartCount();   // Ԍv
			FvxFPM1->ExecuteAreaScore(&nCount3);
			FvxPerformanceCounter1->StopCount(&dTime3);
			// ̎_ł̌ʂ擾
			FvxFPM1->GetResult(0,pSRG3->GetDefaultInterface());
		}

        // ʕ\--------------
        TFvSearchResultGroup* pSRG;
        INT nCount = 0;
        pSRG = pSRG1;
        nCount = nCount1;
        str.printf("-----FPMT[` ( : %.2lfms) -----", dTime1 );
		memoResult->Lines->Add(str);

        FvxDisplayEx1->PenColor = (TColor)0xFF00FF;
        FvxDisplayEx1->FontColor = (TColor)0xFF00FF;
		FvxDisplayEx1->DrawData( 1, pSRG->GetDefaultInterface() );
        memoResult->Lines->Add("");
        str.printf("T[` : %d", nCount );
        memoResult->Lines->Add(str);
        str.printf(" No    X      Y    angle  scale  score" );
        memoResult->Lines->Add(str);
        for( i=0; i<nCount; i++ ) {
            str.printf(" %d   %3.1lf   %3.1lf   %3.1lf  %3.1lf  %d\n", i,
				    pSRG->Item2(i)->get_x(), pSRG->Item2(i)->get_y(),
				    pSRG->Item2(i)->get_angle(), pSRG->Item2(i)->get_magnification(),
				    pSRG->Item2(i)->get_score() );
            memoResult->Lines->Add(str);

            str.printf("%d",i);
            pPos->set_x(pSRG->Item2(i)->get_x()+2);
            pPos->set_y(pSRG->Item2(i)->get_y()+2);
            FvxDisplayEx1->DrawTextA(1,pPos->GetDefaultInterface(),str.WideChar(dst,24*2));
        }

        // XRAČvZʕ\
		if( chkAreaScore->Checked ) {
			FvxDisplayEx1->PenColor = (TColor)0x00FF00;
            FvxDisplayEx1->FontColor = (TColor)0x00FF00;
			FvxDisplayEx1->DrawData( 1, pSRG3->GetDefaultInterface() );

			memoResult->Lines->Add("");
			memoResult->Lines->Add("");
			str.printf("-----XRAČvZ ( : %.2lfms) -----", dTime3 );
			memoResult->Lines->Add(str);
			memoResult->Lines->Add("");
			str.printf("T[` : %d", nCount3 );
			memoResult->Lines->Add(str);
			str.printf(" No    X      Y    angle  scale  score" );
			memoResult->Lines->Add(str);
			for( i=0; i<nCount3; i++ ) {
				str.printf(" %d   %3.1lf   %3.1lf   %3.1lf  %3.1lf  %d\n", i,
					pSRG3->Item2(i)->get_x(), pSRG3->Item2(i)->get_y(),
					pSRG3->Item2(i)->get_angle(), pSRG3->Item2(i)->get_magnification(),
					pSRG3->Item2(i)->get_score() );
				memoResult->Lines->Add(str);

                str.printf("%d",i);
                pPos->set_x(pSRG3->Item2(i)->get_x()+2);
                pPos->set_y(pSRG3->Item2(i)->get_y()+2);
                FvxDisplayEx1->DrawTextA(1,pPos->GetDefaultInterface(),str.WideChar(dst,24*2));
			}
		}

	} catch( long& err ) {
		str.printf("p^̃ZbgA܂́AT[`Ɏs܂ : ErrCode=%ld", err);
		ShowMessage( str );
	}

	// 
	delete pSRG3;
	delete pSRG2;
	delete pSRG1;
    delete pRect;
    delete pPos;
    delete [] dst;
}
//---------------------------------------------------------------------------


void TfrmMain::fnGetParam()
{
	AnsiString str;

	// tB^I
	cmbSelectFilter->ItemIndex = FvxFPM1->SelectFilter;

	// փGbW
	// Ǐ̈W&H
	editCorrEdgeFltW->Text = str.sprintf("%d",FvxFPM1->CorrEdge_RegionWidth);
	editCorrEdgeFltH->Text = str.sprintf("%d",FvxFPM1->CorrEdge_RegionHeight);
	// U臒l
	editCorrEdgeVar->Text = str.sprintf("%.1lf", FvxFPM1->CorrEdge_VarThresh);
	// GbW臒l
	editCorrEdgeTh->Text = str.sprintf("%d", FvxFPM1->CorrEdge_EdgeThresh);
	// Ȑ`p[^K
	editCorrEdgeSigmoidK->Text = str.sprintf("%.1lf", FvxFPM1->CorrEdge_SigmoidK);
	// ɑ}tB^Е
	editCorrEdgeThinFltSz->Text = str.sprintf("%d", FvxFPM1->CorrEdge_NmsLength );

	// \[xtB^
	// GbWl
	editSobelTh->Text = str.sprintf("%d", FvxFPM1->Sobel_EdgeThresh);
	// ɑ}tB^Е
	editSobelThinFltSz->Text = str.sprintf("%d", FvxFPM1->Sobel_NmsLength);

	// k
	editCompRate->Text = str.sprintf("%d", FvxFPM1->CompRate);
	// XRA臒l(k)
	editHiCompScoreTh->Text = str.sprintf("%d", FvxFPM1->HighCompScoreThresh);
	// XRA臒l(ሳk)
	editLowCompScoreTh->Text = str.sprintf("%d", FvxFPM1->LowCompScoreThresh);
	// ev[gGbW_̌덷͈
	editErrWide->Text = str.sprintf("%d", FvxFPM1->ErrWide);
	// ]px
	editAngleMin->Text = str.sprintf("%d", FvxFPM1->AngleMin);
	editAngleMax->Text = str.sprintf("%d", FvxFPM1->AngleMax);
	// XP[
	editScaleMin->Text = str.sprintf("%d", FvxFPM1->ScaleMin);
	editScaleMax->Text = str.sprintf("%d", FvxFPM1->ScaleMax);
	// T[`
	editSearchNum->Text = str.sprintf("%d", FvxFPM1->SearchNum);

	// x|[Y
	// GbW_덷͈
	editRefineErrWide->Text = str.sprintf("%d", FvxFPM1->RefineErrWide);
	// XRA臒l
	editRefineScoreTh->Text = str.sprintf("%d", FvxFPM1->RefineScoreThresh);

	// XRAČvZ
	// 덷͈X
	editAreaScoreTx->Text = str.sprintf("%.1lf", FvxFPM1->AreaScoreErrWideTx);
	// 덷͈Y
	editAreaScoreTy->Text = str.sprintf("%.1lf", FvxFPM1->AreaScoreErrWideTy);
	// 덷͈ px
	editAreaScoreTq->Text = str.sprintf("%.1lf", FvxFPM1->AreaScoreErrWideTq);
	// 덷͈ XP[
	editAreaScoreTs->Text = str.sprintf("%.1lf", FvxFPM1->AreaScoreErrWideTs);
	// GbW_덷͈(XRAČvZ)
	editAreaScoreErrWide->Text = str.sprintf("%d", FvxFPM1->AreaScoreErrWide);
	// wimCYd݌W
	editAreaScoreNoizeWeight->Text = str.sprintf("%.1lf", FvxFPM1->AreaScoreNoiseWeight);
	// XRAl(XRAČvZ)
	editAreaScoreTh->Text = str.sprintf("%d", FvxFPM1->AreaScoreThresh);

    // x|[Y
    chkRefinePose->Checked = FvxFPM1->ExecuteFlag?true:false;
}


void __fastcall TfrmMain::btnPtnEdgeDispClick(TObject *Sender)
{
	frmPtnEdge->SetFPM(FvxFPM1);
	frmPtnEdge->SetPattern(FvxPattern1);
	frmPtnEdge->SetSelectFilter(cmbSelectFilter->ItemIndex);
	frmPtnEdge->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnClsResultClick(TObject *Sender)
{
    memoResult->Clear();    
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnAScopeClick(TObject *Sender)
{
    if(FvxDisplayEx1->AScopeMode)
        FvxDisplayEx1->AScopeMode = 0;
    else
        FvxDisplayEx1->AScopeMode = 1;
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnSaveFileClick(TObject *Sender)
{
    SaveDialog1->InitialDir = ExtractFilePath(Application->ExeName);
	SaveDialog1->Filter = "bitmap file(*.bmp)|*.bmp|All Files(*.*)|*.*";
	if(SaveDialog1->Execute())
	{
        FvxFileAccess1->FilePath = SaveDialog1->FileName;
		try
		{
            FvxFileAccess1->SaveBitmap(FvxImage1->ControlInterface);
		} catch (long &err) {
			AnsiString errMsg;
			errMsg.sprintf("݂Ɏs܂BErrCode= %ld",err);
			ShowMessage(errMsg);
			return;
		}
	}
}
//---------------------------------------------------------------------------




